From c34b605bdb5590633f24e21e09e361ace99a043c Mon Sep 17 00:00:00 2001
From: Simon McVittie <smcv@collabora.com>
Date: Tue, 24 Apr 2018 15:34:13 +0100
Subject: [PATCH] Use saved exit status correctly

Previously, we'd have exited 0, assuming the echo command succeeded.
Thanks, shellcheck!

Signed-off-by: Simon McVittie <smcv@collabora.com>
---
 pressure-vessel-wrap | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/pressure-vessel-wrap b/pressure-vessel-wrap
index c75136ec7..ebc8acb4a 100755
--- a/pressure-vessel-wrap
+++ b/pressure-vessel-wrap
@@ -351,5 +351,5 @@ if [ -n "$verbose" ]; then
 fi
 
 exec "$BWRAP" $bwrap_end_of_options "$@" || e=$?
-echo "$me: failed to execute '$BWRAP $*': exec status $?" >&2
-exit $?
+echo "$me: failed to execute '$BWRAP $*': exec status $e" >&2
+exit "$e"
-- 
GitLab